Page MenuHomePhabricator

Add link to indicate users need to login before they can upload
Closed, ResolvedPublic1 Story Points

Description

Value proposition:

Users report being confused when they see the Upload to Commons button as disabled. It is not immediately clear to them that they need to login before they can upload.

Proposed solution:

Two possible options (in order of preference). Let's do whichever is easier:

  1. Add a statement indicating that a user needs to be logged in underneath the Upload to Commons button if that button is disabled. This could look something like:


(Note that the "Login" here would link to the Oauth login just like the one on top does)

Event Timeline

Niharika triaged this task as Normal priority.Apr 9 2019, 10:47 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptApr 9 2019, 10:47 PM
Niharika updated the task description. (Show Details)Apr 9 2019, 11:05 PM
Niharika changed the point value for this task from 0 to 1.

This is merged and ready for QA on the staging site.

dom_walden added a subscriber: dom_walden.

When logged out, there is a link "Log in to enable uploading". This takes a user to /svgtranslate-test/login.

When logged in, the link does not appear.

From the code, this seems like such a simple change I did only minimal testing.

Niharika closed this task as Resolved.Apr 18 2019, 8:40 PM
Niharika moved this task from Product sign-off to Done on the Community-Tech-Sprint board.

Looks good to me!

Niharika moved this task from Backlog to Done on the SVG Translate Tool board.Apr 30 2019, 6:46 PM

Commits linked to this task have been released in svgtranslate 0.9.0.